javax.xml.registry.infomodel

## Interface PersonName

-     public interface PersonName

  Represents a person's name.
  Author:
    Farrukh S. Najmi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFirstName()` Gets the first name for this Person.
    `String` | `getFullName()` Gets the fully formatted name for this person.
    `String` | `getLastName()` Gets the last name (surname) for this Person.
    `String` | `getMiddleName()` Gets the middle name for this Person.
    `void` | `setFirstName(String firstName)` Sets the first name for this Person.
    `void` | `setFullName(String fullName)` Sets the fully formatted name for this person.
    `void` | `setLastName(String lastName)` Sets the last name (surname) for this Person.
    `void` | `setMiddleName(String middleName)` Sets the middle name for this Person.

- - ### Method Detail

    - #### getLastName

          String getLastName()
                             throws JAXRException

      Gets the last name (surname) for this Person. Default is a NULL String.

      Capability Level: 1
      Returns:
        the person's last name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setLastName

          void setLastName(String lastName)
                           throws JAXRException

      Sets the last name (surname) for this Person.

      Capability Level: 1
      Parameters:
        `lastName` - the person's last name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getFirstName

          String getFirstName()
                              throws JAXRException

      Gets the first name for this Person. Default is an empty String.

      Capability Level: 1
      Returns:
        the person's first name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setFirstName

          void setFirstName(String firstName)
                            throws JAXRException

      Sets the first name for this Person.

      Capability Level: 1
      Parameters:
        `firstName` - the person's first name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getMiddleName

          String getMiddleName()
                               throws JAXRException

      Gets the middle name for this Person. Default is an empty String.

      Capability Level: 1
      Returns:
        the person's middle name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setMiddleName

          void setMiddleName(String middleName)
                             throws JAXRException

      Sets the middle name for this Person.

      Capability Level: 1
      Parameters:
        `middleName` - the person's middle name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getFullName

          String getFullName()
                             throws JAXRException

      Gets the fully formatted name for this person. Default is an empty String.

      Capability Level: 0
      Returns:
        the person's full name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setFullName

          void setFullName(String fullName)
                           throws JAXRException

      Sets the fully formatted name for this person.

      Capability Level: 0
      Parameters:
        `fullName` - the person's full name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.